Subject: [RFC 01/23] ARM: LPAE: disable phys-to-virt patching on PAE systems

From: [email-masked] (Catalin Marinas)
Date: Tue, 24 Jul 2012 10:41:43 +0100

On Tue, Jul 24, 2012 at 02:09:03AM +0100, Cyril Chemparathy wrote:
> From: Vitaly Andrianov <[email-masked]>
> 
> The current phys-to-virt patching mechanism is broken on PAE machines with
> 64-bit physical addressing.  This patch disables the patching mechanism in
> such configurations.

It may be broken, I don't remember whether I tested this feature. What's
the PHYS_OFFSET on your platform? Is it within the low 4GB range?

-- 
Catalin